#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	tinyxpath
Version		:	1.3.1
Release		:	14.8.0.0%{?dist}
Summary		:	Small XPath syntax decoder

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	zlib
URL		:	http://tinyxpath.sourceforge.net/
			#http://downloads.sourceforge.net/

Source0		:	%{name}-%{version}.zip
Patch1		:	%{name}-%{version}-fix_test.patch

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf
BuildRequires	:	automake
BuildRequires	:	gcc
BuildRequires	:	tinyxml-devel
#-----------------------------------------------------------------------------
%description
TinyXPath is a small footprint XPath syntax decoder, written in C++.
- Syntax decoding
- Application to a TinyXML tree
- Function to extract a result from a tree (string, node set or integer)
 
 
#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS
%exclude %{_bindir}/%{name}
%{_libdir}/lib%{name}.so.*

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#=============================================================================
%package		devel
Summary		:	Development headers and libraries for %{name}

Requires	:	%{name}		= %{version}-%{release}
Requires	:	tinyxml-devel

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains library and header
files to develope applications that use %{name}.
 
#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_includedir}/%{name}/*.h
%{_libdir}/lib%{name}.so

#=============================================================================
%prep
%setup -q -c %{name}-%{version}
%patch1

#-----------------------------------------------------------------------------
#building application
%build

%{__make} -f Makefile.configure

CPPFLAGS="-fPIC"						\
./configure							\
        --prefix=%{_prefix}					\
        --includedir=%{_includedir}				\
	--libdir=%{_libdir}					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
make 								\
	%{?_smp_mflags}	

# Not really designed to be build as lib, DYI
g++ 								\
	-shared							\
	-o lib%{name}.so.0.1					\
	-Wl,-soname,lib%{name}.so.0.1				\
	`ls *.o | grep -v main.o`

#-----------------------------------------------------------------------------
%check
./%{name}
BEFORE=($(grep "<tr><td>" out.htm | sed 's~<td>~_~' | sed 's~</td><td>~_~g' | sed 's~</td></tr>~~' | cut -d '_' -f 3))
AFTER=($(grep "<tr><td>" out.htm | sed 's~<td>~_~' | sed 's~</td><td>~_~g' | sed 's~</td></tr>~~' | cut -d '_' -f 4))
COUNT=0
TOTAL=$(grep "<tr><td>" out.htm | sed 's~<td>~_~' | sed 's~</td><td>~_~g' | sed 's~</td></tr>~~' | cut -d '_' -f 3 | wc -l)
while [ $COUNT -lt $TOTAL ]; do
  if [ -z "${AFTER[$COUNT]}" ] || [ "${AFTER[$COUNT]}" != "${BEFORE[$COUNT]}" ]
  then
    echo "Before: ${BEFORE[$COUNT]} After: ${AFTER[$COUNT]}"
    false
    break
  fi
  COUNT=$(($COUNT + 1))
done

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	DESTDIR=%{buildroot}					\
	install

# Install headers by hands.
%{__mkdir_p} %{buildroot}%{_includedir}/%{name}
install -pDm644 *.h %{buildroot}%{_includedir}/%{name}
#Install lib by hands.

%{__mkdir_p} %{buildroot}%{_libdir}
install -m 755 lib%{name}.so.0.1 %{buildroot}%{_libdir}
ln -s lib%{name}.so.0.1 %{buildroot}%{_libdir}/lib%{name}.so.0
ln -s lib%{name}.so.0.1 %{buildroot}%{_libdir}/lib%{name}.so

#-----------------------------------------------------------------------------
%changelog
